.navbar-custom 
{
    background-color: #e2e4e5;
}
@font-face {
  font-family: public-sans;
  src: url(../../../fonts/OpenSans-Regular.ttf);
}
.table-container {
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
}

.badge
{
    font-size: 13px;
    font-weight: 400;
    font-family: "Open Sans", sans-serif;
}
.badge-soft-warning {
    color: #fa8d00;
    background-color: rgb(249 200 81 / 35%);
    box-shadow: none;
}

.badge-outline-warning {
    color: #ef9c6a;
    border: 1px solid #ef9c6a;
    background-color: transparent;
    box-shadow: none;
}

.badge-outline-present {
    color: #7b71f9;
    border: 1px solid #7b71f9;
    background-color: transparent;
    box-shadow: none;
}

.float-right
{
    float:right;
}
body{
    color: #171818;
    font-family:"Open Sans", sans-serif;
    background-color: #e2e4e5;
 }
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6
{
    font-family:"Open Sans", sans-serif;
    color: #59595a;
    font-weight: 600;
}
a{
    font-family:"Open Sans", sans-serif;
}
label{
    font-family:"Open Sans", sans-serif;
}
p{
    font-family:"Open Sans", sans-serif;
}
#sidebar-menu>ul>li>a i
{
    font-size: 1rem;
}
#sidebar-menu>ul>li>a>span
{
    vertical-align: middle;
    font-size: 14px;
}

.left-side-menu
{
    box-shadow:none;
}

.table td {
/*   word-wrap: break-word;*/
/*word-break: break-all;  */
white-space: normal !important;
/*text-align: justify;*/
font-family:"Open Sans", sans-serif;
}

span{
    font-family:"Open Sans", sans-serif;
}
.bg-orange {
    background-color: #f2a862 !important;
}
.progress-bar-alt-orange {
    background-color: #b59d7d3b;
}

.bg-gray {
    background-color: #ccc !important;
}
.progress-bar-alt-gray {
    background-color: #727b8826;
}

/*body.loading {
     visibility: unset; 
     opacity: 1!important; 
}*/
.assigned td
{
    color: #e9ffe9!important;
}
.unassigned td
{
    color: #3c01ef!important;
}
.text-muted {
    color: #4d4e4e!important;
}
body.authentication-bg {
    background-image: none;
}
.logo-box .logo {
    line-height: 85px;
}
.logo-lg img{
    height: 40px;
    margin-top: 10px;
}
.spn-txt{
    color: #343a40;
    font-weight: 600;
   font-family:"Open Sans", sans-serif;
}
.prj-title::after {
    display: block;
    height: 2px;
    width: 200px;
    content: "";
    background: #000080;
    background-size: 300% 300%;
    background-position: center center;
    margin-top: 0.75rem;
    margin-bottom: 20px;
}
.abc::after {
    display: block;
    height: 2px;
    width: 200px;
    content: "";
    background: #000080;
    background-size: 300% 300%;
    background-position: center center;
    margin-top: 0.75rem;
    margin-bottom: 20px;
}
.taskboard-box{
    background: #f1f2f3;
}
.taskList>li {
    padding: 10px;
    margin-bottom: 10px;
}
#prj-st-home a{
    color: #4c5055;
    font-size: 13px;
}
#prj-st-home a:hover{
    color: #2890f6;
}
table
{
    border-color: #c0c0c0!important;
/*    width: auto !important;*/
    width: 100% !important;
}
table th{
    font-size: 13px;
    padding: 8px 4px!important;
    color: #212529;
   white-space:nowrap;
   font-family:"Open Sans", sans-serif;
    
}
table td{
    font-size: 13px;
    padding: 10px 10px!important;
    /*color: #212529;*/
    color: #495763;
    font-family:"Open Sans", sans-serif;
    line-height: 20px;
}
.tbl{
    width: 100%;
    overflow: scroll;
    max-width: 100%;
    margin: 0;
    padding: 0;
}
/*.modal-dialog {
 margin: 6rem auto;
}*/
table ul {
    list-style-type: none;
    display: inline-flex;
    padding-inline-start: 0;
}
table ul li{
        margin: 2px;
}
.fa-edit{
    color: #0ea759;
}
.fa-trash-alt{
   color: #d94d4d;
}
table .bg-clr{
    background: #e9edf0;
}
table .bg-green{
    background: #bff3bf!important;
}
table ul{
    margin-bottom: 0;
}
.page-item.active .page-link {
    background-color: #5b69bc;
    border-color: #5b69bc;
}
.modal-master {
    max-width: 600px;
}
.hiddenRow {
padding: 0 4px !important;
background-color: #eeeeee;
font-size: 13px;
}
.accordian-body span {
    color: #4c4c4c;
}
tr td p{
    text-align: left;
    margin-bottom: 5px;
}
.text-success {
    /*--bs-text-opacity: 1;*/
    color: rgba(var(--bs-success-rgb),var(--bs-text-opacity)) !important;
}
.activity-log li{
    display: flex;
    height: 60px;
}
.activity-log img{
    margin-right: 15px;
}
.activity-log p{
    margin-bottom: 0px;
}
.activity-log ul{
    display: inline-grid;
}
.activity-log ul li {
     margin: 0px; 
}
.bx{
    border-radius: 3px;
    padding: 8px;
    background-color: #f9f9f9;
    border: 1px solid #e3e3e3;
}
.bx p{
    margin-bottom: 0;
}
.addon-css{
    padding: 8px 40px;
    border-radius: 20px;
    margin:0 5px;
}
.mr-bt5{
        margin-bottom: 5px!important;
}
.mr-bt10{
        margin-bottom: 10px!important;
}
.mr-bt20{
        margin-bottom: 20px;
}
.mr-bt30{
        margin-bottom: 30px;
}
.mr-bt50{
        margin-bottom: 50px;
}
.etr-box{
    align-items: center;
    background-color: #fff;
    border: 5px solid #e3e3e3;
    border-radius: 50%;
    display: flex;
    font-size: 15px;
    height: 90px;
    justify-content: center;
    margin: 0 auto;
    width: 90px;
}
#frm .form-label {
    margin-bottom:0rem;
}
.pd-right5{
    padding-right: 5%;
}
.sts{
    font-size: 12px;
    float: right;
    color: #ffffff!important;
    padding: 4px 11px;
    border-radius: 2px;
}
.ip{
   background: #ff8acc!important;
}
.nyt{
    background: #f9c851!important;
}
.psd{
    background: #71b6f9!important;
}
.cmpd{
    background:#10c469!important;
}
.bxp p{
    margin: auto;
    text-align: left!important;
    margin-left: 10px;
}
.width-100{
    width: 100%;
}
.fa-angle-down, .fa-angle-up{
    font-size: 15px;
}
.alert{
    display: inline-block;
    width: 84%;
    float: right;
    position: absolute;
}
.alert button{
    float: right;
}
.fnt-weight-400{
    font-weight: 400;
}
.doc-getdiv{
    background: #f5f5f5;
    padding: 2% 0 2%;
}
.gray-bg{
    background: #ebeff2;
}
.help-block {
    display: block;
    margin-top: 5px;
    margin-bottom: 10px;
    color: #a94442;
}

.calendar{
    width:100%;
    position: relative;
}

.calendar i .icon{
    font-family: 'Font Awesome 6 Free'!important;
}

.calendar .has-error .fas{
    top:-18px!important;
}
.select2-container .select2-selection--single{
    height: 38px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 38px;
    font-family:"Open Sans", sans-serif;
}


/*CSS by Tanuja*/
#project_form{
    background-color: #ebeff2;
}
.action-buttons{
    list-style-type: none;
}
/*28jan*/
.action-btns{
 list-style-type: none;
 display: flex;
 float: right;
 margin-top: 20px;
}
.action-btns li{
 margin: 0 3px;
}
.calendar .popup{
    z-index: 10000 !important;
}

@media (min-width: 1200px){
.container {
    width: inherit !important;
}
}
/*project edit delete*/

.action-btns{
 list-style-type: none;
 display: flex;
 float: right;
 margin-top: 20px;
}
.action-btns li{
 margin: 0 3px;
}

.user-list-item .avatar-sm{
    background: #71b6f9;
    border-radius: 50px;
    text-align: center;
    line-height: 36px;
    font-weight: 600;
    color: #fff;
}
.activity-log .scrollbar
{
    margin-left: 30px;
    float: left;
    height: 400px;
    width: 94%;
    overflow-y: scroll;
    margin-bottom: 25px;
}

#stylest::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
}

#stylest::-webkit-scrollbar
{
    width: 4px;
    background-color: #F5F5F5;
}

#stylest::-webkit-scrollbar-thumb
{
    background-color: #000000;
    border: 2px solid #555555;
}
 .user-list-item .avatar-sm{
    background: transparent!important;
    border-radius: 50px;
    text-align: center;
    line-height: 36px;
    font-weight: 600;
    color: #fff;
}



/*scroll dashboard*/
    .scrollbar
{
   
    height: 300px;
    overflow-y: scroll;
    margin-bottom: 13px;
    width: 103%;
}
.force-overflow
{
    min-height: 450px;
    width: 95%;
}

#style-default::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
}

#style-default::-webkit-scrollbar
{
    width: 6px;
    background-color: #F5F5F5;
}

#style-default::-webkit-scrollbar-thumb
{
    background-color: #f0f0f0;
}


/*project list view more*/
 details {
  position:relative;
}
details summary {
  display:block;
  cursor: pointer;
  color: #0072ff;
}
details summary:focus {
  outline:none;
}
details[open] {
  display:block;
  padding-bottom:25px;
  padding-top:10px;
  animation: open .2s linear;
}
details[open] summary {
  position:absolute;
  bottom: 0;
  left:0;
}

details #open{padding-left:5px;text-align:middle;}
details #open:after{
    display: inline-block;
    position:relative;
    top: -3px;
    padding-left: 8px;
   
    transform: rotate(90deg);
}
details[open] #open{display:none;}
details #close{display:none;}
details[open] #close{display:block;}

::-webkit-details-marker {display: none;}





@keyframes open {
  0% {
    opacity: 0;
    transform: translateY(-10px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}


.bs-dashboard{
    font-size: 11px;
    font-weight: 500;
    color: #000;
}
.hd-1{
    margin-bottom: 0;
     /*font-size: 15px;*/

}
.hd-2 {
    margin-top: 7px;
    margin-bottom: 6px;
    font-size: 13px;
}
.txtedit{
    padding: 5px;
}
.txtedit:focus-visible{
        border: 1px solid gray!important;
        outline: none;
}
.btn-doc{
   padding: 0.1rem 0.4rem;
    font-size: .7rem;
    border-radius: 0.15rem;
}

.mandatory_field{
    color: #f90202;
}
/*checklist css*/
.check-list-modal .modal-dialog, .check-list-modal-record .modal-dialog, .errors-per-drawing-modal .modal-dialog,.errors-per-report-modal .modal-dialog{
    max-width: 80%;
}
.check-list-modal table th, .check-list-modal table td, .check-list-modal-record table th, .check-list-modal-record table td{
    text-align: center;
}
.check-list-modal .txt-lft, .check-list-modal-record .txt-lft{
    text-align: left;
}
.col-wdh th{
   width:8%;
}
input[type=radio] {
    border: 0px;
    width: 100%;
    height: 10px;
}
.check-list-modal .table>thead, .check-list-modal-record .table>thead,.errors-per-drawing-modal .table>thead{
   background: #f1f1f1;
   font-family:"Open Sans", sans-serif;
}
.check-list-modal .btn, .check-list-modal-record .btn{
  padding: 0.15rem 0.9rem;
}
.errors-per-drawing-modal input, .errors-per-drawing-modal input:focus-visible{
    border: none;
    outline:none;
}

.modal-dialog{
    overflow-y: initial !important
}
.modal-body{
    height: auto;
    overflow-y: auto;
}
.user-list-item img{   width: 35px;
    height: 35px;
    border-radius: 50px;
}
.multiselect-container {
    position: absolute;
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow-x: scroll;
    height: 200px;
}
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input {display:none;}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.active_user
{
    border-radius: 50%;
    background: green;
    font-size: 5px;
    width: 11px;
    position: absolute;
    height: 11px;
    top: 10%;
    right: 41%;
}
.next_assigned
{
    background: #ffff00;
}
.modal-dialog{
    max-width: 80%;
}
.drafting-stage{
    background: #efefef!important;
}
.enginnering-stage{
    background: #ffffeb!important;
}
.checking-stage{
    background: #ecfaff!important;
}
.reviwa-stage{
    background: #e1fbe1!important;
}
.btn-doc {
    padding: 0.01rem 0.4rem;
}
.headertable{
    background: #f7f7f7!important;
}
.logoimg{
    position: relative;
    bottom: 10px;
}
.switch{
    width: 40px;
    height: 16px;
}
.slider:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 0px;
    bottom: 0px;
    border: 1px solid #ccc;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}
.report-border td
{
    border-right: 1px solid #dadada;
}

.yellowbg{
    background: #ffffeb!important;
}
.incomplete{
    background-color: #ffe7e7!important;
}
.complete{
    background-color: #e9ffe9!important;
}
.holiday{
    background-color: #fff0d5!important;
}
@media screen and (min-width:1000px) and (max-width:1450px){
    .etr-box{
       height: 76px;
       width: 50%;
    }
}

.hide
{
    display: none;
}
.show{
    display: inline-block;
}

/*tooltip css*/
.wrapper1 {
font-weight: 500;
width: 100%;
-webkit-transform: translateZ(0); /* webkit flicker fix */
-webkit-font-smoothing: antialiased; /* webkit text rendering fix */
}

.wrapper1 .tooltip1 {
background: #e1e6ff;
    bottom: 100%;
    color: #484848;
display: block;
left: -20px;
font-size: 12px;
line-height: 19px;
opacity: 0;
padding: 20px;
pointer-events: none;
position: absolute;
width: 100%;
-webkit-transform: translateY(10px);
  -moz-transform: translateY(10px);
  -ms-transform: translateY(10px);
   -o-transform: translateY(10px);
    transform: translateY(10px);
-webkit-transition: all .25s ease-out;
  -moz-transition: all .25s ease-out;
  -ms-transition: all .25s ease-out;
   -o-transition: all .25s ease-out;
    transition: all .25s ease-out;
-webkit-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28);
  -moz-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28);
  -ms-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28);
   -o-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28);
    box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28);
}

/* This bridges the gap so you can mouse into the tooltip1 without it disappearing */
.wrapper1 .tooltip1:before {
bottom: -20px;
content: " ";
display: block;
height: 20px;
left: 0;
position: absolute;
width: 100%;
}

/* CSS Triangles - see Trevor's post */
.wrapper1 .tooltip1:after {
border-left: solid transparent 10px;
border-right: solid transparent 10px;
border-top: solid #e1e6ff 10px;
bottom: -10px;
content: " ";
height: 0;
left: 50%;
margin-left: -13px;
position: absolute;
width: 0;
}

.wrapper1:hover .tooltip1 {
opacity: 1;
pointer-events: auto;
-webkit-transform: translateY(0px);
  -moz-transform: translateY(0px);
  -ms-transform: translateY(0px);
   -o-transform: translateY(0px);
    transform: translateY(0px);
}

/* IE can just show/hide with no transition */
.lte8 .wrapper1 .tooltip1 {
display: none;
}

.lte8 .wrapper1:hover .tooltip1 {
display: block;
}
.bootstrap-select.btn-group .dropdown-menu.inner,
.dropdown-menu.open {
  min-height: 100vh !important;
}

.checked
{
    font-weight: bolder;
    color: #000;
}

.task-icons{
    color:#1f4aa1;
    font-size:1rem;
    margin-left:5px;
}

.task-reassign-icons{
    color:#2365ea;
    font-size:1.2rem;
    margin-left:5px;
}
.task-delete-icons{
    color:#e10e0e;
    font-size:1rem;
    margin-left:5px;
}

.task-file-icons{
    color:#e7ad00;
    font-size:1rem;
    margin-left:5px;
}

.label-info {
    background-color: #5bc0de;
}

.label-secondary {
    background-color: #98a6ad;
}

.label-danger {
    background-color: #d9534f;
}
.label-success {
    background-color: #5cb85c;
}
.label-secondary {
    background-color: #98a6ad;
}
.label-pink
{
    background-color: #b64183;
}
.label {
    display: inline;
    padding: 0.2em 0.6em 0.3em;
    font-size: 11px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25em;
}

.img-circle {
    border-radius: 50%;
}

/*Leave card td bg*/
.tdbg1
{
    background:#e6f3fe!important;
}
.tdbg2
{
    background:#ebecf3!important;
}
.tdbg3
{
    background:#f4fae6!important;
}
.tdbg4
{
    background:#f7ebf1!important;
}
.tdbg5
{
    background:#faebe4!important;
}
.tdbg6
{
    background:#e0f2e9!important;
}
/*Leave card td bg*/

.holiday
{
    background: #ccf5ff!important;
}
.leave
{
    background-color: #ffc6c6!important;
}
.wfh
{
    background-color: #e4ffc6!important;
}

.weekend
{
    background-color: #fff0cb!important;
}

.absent
{
    background-color: #dddddd!important;
}

.absent-indication {
    --bs-text-opacity: 1;
    color: #dddddd !important;
}

.holiday-indication {
    --bs-text-opacity: 1;
    color: #ccf5ff !important;
}
.leave-indication {
    --bs-text-opacity: 1;
    color: #ffc6c6 !important;
}

.wfh-indication {
    --bs-text-opacity: 1;
    color: #e4ffc6 !important;
}
.weekend-indication {
    --bs-text-opacity: 1;
    color: #fff0cb !important;
}
.Regularized-indication {
    --bs-text-opacity: 1;
    color: #cbe4d8 !important;
}
.Requested-indication {
    --bs-text-opacity: 1;
    color: #e6e7e6 !important;
}

.Regularized{
    background: #cbe4d8!important;
}

.Requested{
    background: #e6e7e6!important;
}

/*13-09-2024*/
.header-title {
    font-size: 16px;
}
.name
{
    font-size: 13px;
}
#sidebar-menu>ul>li>a 
{
    color: #072156;
    font-family:"Open Sans", sans-serif;
    /*font-size: 1rem;*/
}
.nav-second-level li a
{
    color: #072156;
    /*font-size: 1.3rem;*/
    padding: 4px 20px;
}
#sidebar-menu .menuitem-active>a {
    color: #3486d5 !important;
    /*font-size: 1rem;*/
}
/*#sidebar-menu .menuitem-active .active {*/
/*    color: #3486d5;*/
   
/*}*/
.datepicker table tr td span.focused, .datepicker table tr td span:hover {
    background: #bcefff!important;
}
.text-warning 
{
    color: #ffa200 !important;
}


.modal-title 
{
    margin-right: 15px;
}
.modal-content
{
    margin: 0 auto;
/*    width:fit-content;*/
}

.page-title-main 
{
    font-size: 17px;
}
.table>thead>tr>th{
    text-align: center!important;
    font-weight:600;
    font-family:"Open Sans", sans-serif;
}
/*.card-body
{
    box-shadow: 3px 2px #cfd1d4;
}*/


/*13-09-2024*/

/*23-09-2024*/
.numbering-li {
    counter-reset: section; /* Initialize the counter */
}

.numbering-li li {
    list-style: none;
}

.numbering-li li a::before {
    counter-increment: section; /* Increment the counter */
    content: counter(section) ". "; /* Display the counter with a dot */
    font-weight: bold; /* Optional: Makes the number bold */
}
/*23-09-2024*/

.fs-20
{
    font-size: 20px;
}

/* Tooltip styling for full text on hover */
/* Change the tooltip background color */
.tooltip-inner {
    background-color: #e8ebea !important; /* Use your preferred color */
    color: #000 !important; /* Change text color for readability */

}
.event-indicator .type-bullet .type-wfh
{
    background-color: #10c469!important;
}
.event-bullet-wfh
{
    background-color: #10c469!important;
}

.event-indicator .type-bullet .type-leave
{
    background-color: #8bc1f5!important;
}
.event-bullet-leave
{
    background-color: #8bc1f5!important;
}

.event-indicator .type-bullet .type-holiday
{
    background-color: #ff8acc!important;
}
.event-bullet-holiday
{
    background-color: #ff8acc!important;
}
.event-indicator .type-bullet .type-birthday
{
    background-color: #800080!important;
}
.event-bullet-birthday
{
    background-color: #800080!important;
}

.circle
{
    width: 10px;
    height: 10px;
    border-radius: 50%;
}

.indicator-container {
  display: flex;
  gap: 15px; 
}

.indicator {
  display: inline-flex;
  align-items: center;
}

.dot {
  height: 15px;
  width: 15px;
  border-radius: 50%;
  display: inline-block;
  margin-right: 5px; 
}

.blue {
  background-color: #8bc1f5;
}

.green {
  background-color: #5cb85c;
}

.pink {
  background-color: #ff8acc;
}

.purple
{
    background-color: #8b28a5;
}

 

@media only screen and (min-width: 1000px) and (max-width: 1500px) 
{
    .calendar-inner {
        margin-left: 176px!important;
    padding: 40px 10px!important;
    /*max-width: calc(100% - 480px)!important;*/
    max-width:calc(100% - 457px)!important;
    }
    .calendar-events {
    width: 280px!important;
    padding: 12px 13px !important;
    }
    
}


#mydiv {
  position: relative;
  width:100%;
  z-index: 1;
  margin: auto;
  overflow: auto;
  height: 700px;
}
#mydiv table {
  width: 100%;
  /*min-width: 1280px;*/
  margin: auto;
  border-collapse: separate;
  border-spacing: 0;
}

#mydiv th,
#mydiv td {
  padding: 5px 10px;
  border: 1px solid #000;
  background: #fff;
  vertical-align: top;
}
#mydiv thead th {
  background: #ececec;
    z-index: 5;
  position: -webkit-sticky;
  position: sticky;
  top: 0;
}
/* safari and ios need the tfoot itself to be position:sticky also */
#mydiv tfoot,
#mydiv tfoot th,
#mydiv tfoot td {
  position: -webkit-sticky;
  position: sticky;
  bottom: 0;
  background: #ececec;
 
  z-index:9;
}

#mydiv th.fixed-col {
    position: -webkit-sticky;
    position: sticky;
    left: 0;
    z-index: 4;
    background: #ececec;
/*    font-weight: 100;*/
}

#mydiv thead th.fixed-col,
#mydiv tfoot th.fixed-col {
  z-index: 10;
}
#mydiv thead td{
    text-align: center;
}
.checked {
   color: #000;
   font-weight: bold;
   font-size: 15px;
}
@media print {
  @page {
    padding: 0;
    margin: 0;
}
thead th
{
    text-align: center!important;
}

tbody{
  -webkit-print-color-adjust:exact !important;
  print-color-adjust:exact !important;
}

img
{

  width:50px;

}
.dt-search
{
    display: none!important;
}
}
#dttable_id th, #dttable_id td {
    white-space: nowrap; /* Prevents text wrapping */
    text-align: left; /* Align content properly */
    padding-left: 10px; /* Add left padding to prevent excessive space */
    padding-right: 10px; /* Maintain uniform spacing */
    max-width: 300px; /* Set max width to avoid excessive width */
    overflow: hidden;
    text-overflow: ellipsis; /* Add "..." if text is too long */
}

.dataTables_wrapper {
    width: 100%; /* Ensures full width utilization */
    overflow-x: auto; /* Adds horizontal scrolling if needed */
}
.select2-selection__choice
{
    background-color: #5b69bc!important;
}
.form-check-input[type=radio] {
  width: 16px;
  height: 16px;
  margin-top: 4px;
  margin-right: 6px;
  border: 2px solid #98acbc;
  background-color: #fff; /* keep it white by default */
}

/* Checked radio */
.form-check-input[type=radio]:checked {
  background-color: #71b6f9 !important;
  border-color: #71b6f9 !important;
}

.badge-outline-primary {
    color: #007bff;
    background-color: transparent;
    background-image: none;
    border-color: #007bff;
    border: 1px solid;
}

.badge-outline-secondary {
    color: #6c757d;
    background-color: transparent;
    background-image: none;
    border-color: #6c757d;
    border: 1px solid;
}

.badge-outline-success {
    color: #28a745;
    background-color: transparent;
    background-image: none;
    border-color: #28a745;
    border: 1px solid;
}

.badge-outline-danger {
    color: #dc3545;
    background-color: transparent;
    background-image: none;
    border-color: #dc3545;
}

.badge-outline-warning {
    color: #ffc107;
    background-color: transparent;
    background-image: none;
    border-color: #ffc107;
    border: 1px solid;
}

.badge-outline-info {
    color: #17a2b8;
    background-color: transparent;
    background-image: none;
    border-color: #17a2b8;
    border: 1px solid;
}

.badge-outline-light {
    color: #f8f9fa;
    background-color: transparent;
    background-image: none;
    border-color: #f8f9fa;
    border: 1px solid;
}

.badge-outline-dark {
    color: #343a40;
    background-color: transparent;
    background-image: none;
    border-color: #343a40;
    border: 1px solid;
}

.location-list {
    display: flex;
    flex-direction: column;
    gap: 6px;
    padding: 4px 0;
}

.location-item
 {
    background-color: #e5e5e5;
    padding: 2px 6px;
    border-left: 4px solid #71b6f9;
    border-radius: 4px;
    font-size: 14px;
    color: #333;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.location-item .level {
    font-weight: 500;
}

.location-item .arrow {
    margin: 0 6px;
    color: #6c757d;
}
.location-item.not-allocated {
    background-color: #fff3cd;
    border-left: 4px solid #ffc107;
    color: #856404;
    font-style: italic;
}
.ui-widget.ui-widget-content.ui-autocomplete{
  z-index: 1111;
}

#sidebar-menu
{
    background-color: #fff;
}